Python script ERROR : check Console ????? Help me

Scripting in Blender with Python, and working on the API

Moderators: jesterKing, stiv

Post Reply
viet
Posts: 0
Joined: Thu Mar 17, 2005 7:33 pm

Python script ERROR : check Console ????? Help me

Post by viet » Thu Mar 17, 2005 7:41 pm

i try to run a python script and i got that error . I use Python 2.4 and Blender 2.36 . Help me please . Show me how to run it ?

ascotan
Posts: 0
Joined: Thu May 29, 2003 10:32 pm
Location: Maryland, U.S.

Post by ascotan » Fri Mar 18, 2005 5:04 pm

If your using windows the error will appear in the other DOS window, Unix and it' will appear in the terminal output (only if you run blender as ./blender from the terminal).
I would check over at elysiun.com as there are many script writers there.

viet
Posts: 0
Joined: Thu Mar 17, 2005 7:33 pm

Post by viet » Sat Mar 19, 2005 12:32 pm

i use WinXP , what can i do ?

Sutabi
Posts: 53
Joined: Fri Oct 18, 2002 1:35 am
Location: Oceanside, California
Contact:

Post by Sutabi » Sun Mar 20, 2005 4:47 am

its the using of python 2.4, Blender 2.36 uses python 2.3.

I got a question... will blender 2.37 support python 2.4?

stiv
Posts: 0
Joined: Tue Aug 05, 2003 7:58 am
Location: 45N 86W

Post by stiv » Sun Mar 20, 2005 4:09 pm

Sutabi wrote:I got a question... will blender 2.37 support python 2.4?
Probably not.

You can compile it yourself against python 2.4 though and it *should* work. Let us know if you do.

theeth
Posts: 500
Joined: Wed Oct 16, 2002 5:47 am
Location: Montreal
Contact:

Post by theeth » Sun Mar 20, 2005 7:42 pm

stiv wrote:
Sutabi wrote:I got a question... will blender 2.37 support python 2.4?
Probably not.

You can compile it yourself against python 2.4 though and it *should* work. Let us know if you do.
I already do for some months and I haven't had much problems. The only ones were because I'm running 2.4 in parallel with 2.3 and my python path has mixed version folders.

Martin
Life is what happens to you when you're busy making other plans.
- John Lennon

Sutabi
Posts: 53
Joined: Fri Oct 18, 2002 1:35 am
Location: Oceanside, California
Contact:

Post by Sutabi » Tue Mar 22, 2005 5:58 am

well since I am a windows/linux user Ill try in linux. I hate windows when it comes to c code (mainly due the fact if you dont have msvc++ 7, your gonna have a lot of troble compling it)

*huges linux and gcc*

LetterRip
Posts: 0
Joined: Thu Mar 25, 2004 7:03 am

Post by LetterRip » Sat Mar 26, 2005 5:01 am

compiling blender on windows with cygwin gcc is acutally pretty straight forward,

LetterRip

Post Reply